Your browser was unable to load all of the resources. They may have been blocked by your firewall, proxy or browser configuration.
Press Ctrl+F5 or Ctrl+Shift+R to have your browser try again.

user_install.sql giving error #53

#1

Hi,
Here is the error while running @user_install.sql in 12c APEX 22.2.1 on Windows OS.

~~ Package Headers

Package created.

No errors.

Warning: Package created with compilation errors.

Errors for PACKAGE "XLIB_HTTP":

LINE/COL ERROR


52/4 PL/SQL: Declaration ignored
58/35 PLS-00206: %TYPE must be applied to a variable, column, field or
attribute, not to "XLIB_HTTP.HTTP_VERSION_1_1"

81/4 PL/SQL: Declaration ignored
85/30 PLS-00206: %TYPE must be applied to a variable, column, field or
attribute, not to "XLIB_HTTP.HTTP_VERSION_1_1"

Warning: Package created with compilation errors.

Errors for PACKAGE "XLIB_JASPERREPORTS":

LINE/COL ERROR


Thanks

  • replies 15
  • views 48
  • likes 3
#2

Thank you for raising this.

I don't have an old database version currently because I switched machines.
I did remove the reference to the 1.1 http version constant ... and it compiles on Oracle 21c.
Will have a look at it next week.

Best, Dietmar.

erpstuff · Author
#3

Hi,
Great sure please and in documentation such releases not mentioned,

Oracle Database Release: The minimum requirement is the availability of the package UTL_HTTP. Thus the integration will work with all Oracle versions in which Oracle APEX can be installed, even Oracle XE (10g).

Thanks

#4

You are absolutely right ... will have to revisit it. For the most part this is still valid, I don't use any specific higher-version features.

Thank you again!

erpstuff · Author
#5

I will be going in details so will be raising concern if any please don't mind in advance. @user_remove.sql also having issues like not dropping a seuquence and a type object. thanks

#6

I don't mind at all ... keep 'em coming :).

Thank you.

erpstuff · Author
#7

I am able to configure JasperReportsIntegration-2.4.0.0 but now stuck at the end. From Tomcat TEST report is showing but when I install test app in APEX it is giving error. Database is 12C and APEX is 22.2.1
on Verify Setup entered URL details as Protocol https then server and port 1443 and context path is JasperReportsIntegration.

Check 1, 2, 3 are Passed but all others failed and here is the error,

Check 4 to 7 following error,
Error occured: ORA-29273: HTTP-Anforderung nicht erfolgreich ORA-28860: SSL-Abbruchfehler ORA-06512: in "SYS.HTTPURITYPE", Zeile 38
and ACL script was also executed.

Apex app tab Report Tester giving following error,

Contact your application administrator. Details about this incident are available via debug id "150653".
ORA-29273: HTTP-Anforderung nicht erfolgreich ORA-24247: Netzwerkzugriff von Access Control-Liste (ACL) abgelehnt

Unable to understand the way forward if it is SSL issue or ACL. Thanks

#8

Release 2.4 is very old.

Did you run the script: sys_install_acl_12_and_above.sql ?

You need to use the exact same configuration as what you want to call via the url. For example, when you want to access http://localhost:8080 then you should configure the ACLs to allow localhost, not 127.0.0.1.

Is the Tomcat on the same machine as your database? Which url do you try to call? http or https?

Best
Dietmar.

erpstuff · Author
#9

Hi Dietmar,
Here are my responses,

Did you run the script: sys_install_acl_12_and_above.sql ? >> YES

You need to use the exact same configuration as what you want to call via the url. For example, when you want to access http://localhost:8080 then you should configure the ACLs to allow localhost, not 127.0.0.1. >> It is https://xxapex.abc.com:1443/ords so I used accordingly.

Is the Tomcat on the same machine as your database? >> YES
Which url do you try to call? http or https? >> https

Thanks

erpstuff · Author
#10

Hi Dietmar, Any suggestion please. thanks

#11

I will have a look later today. Still busy. First I need to set up an environment so that I can test it ... on an older release. Please bear with me. Thanks. Want to make sure, it works flawlessly this time.

erpstuff · Author
#12

Great thanks.

#13

Hi,

please use the latest release and make the following change in the file xlib_http.pks in line 39:

HTTP_VERSION_1_1 constant VARCHAR2(64) := 'HTTP/1.1'; -- #123

=>

HTTP_VERSION_1_1 VARCHAR2(64) := 'HTTP/1.1'; -- #123

So, basically, when you turn the constant into a variable ... it will all work out even on this older database.

You were talking about:

@user_remove.sql also having issues like not dropping a seuquence and a type object

I am sorry, but I cannot reproduce this. All objects that are installed are cleaned up again.
BTW, I am using the latest release. And yes, I remember that objects weren't cleaned up in a previous release ... please use the latest one.

Best
~Dietmar.

erpstuff · Author
#14

Hi, By removing constant the script having no error now resolving the ACL/SSL issues. Will get back to you with my findings or questions. thanks

#15
erpstuff · Author
#16

Dear Dietmar,
You are right already used localhost since on same node but want to configure SSL for later move to multi nodes. Will share if any challenge as will check once certificates imported in the wallet. Thanks